Index: tags/gsdl-2_52-distribution/for-distributions/DistDates
===================================================================
--- trunk/for-distributions/DistDates	(revision 8383)
+++ 	(revision )
@@ -1,12 +1,0 @@
-gsdl-2_35-distribution	Thu May 17 17:02:47 NZST 2001
-gsdl-2_35a-distribution	Thu Jun 14 10:27:07 NZST 2001
-gsdl-2_35b-distribution	Mon Jun 18 13:48:39 NZST 2001
-gsdl-2_35c-distribution	Tue Jun 19 15:38:19 NZST 2001
-gsdl-2_36-distribution	Thu Jul  5 15:29:53 NZST 2001
-gsdl-2_37-distribution-cdrom	Wed Nov 28 09:51:47 NZDT 2001
-gsdl-2_38-distribution	Fri May 17 12:18:13 NZST 2002
-gsdl-2_39-distribution	Mon Mar 10 11:53:56 NZDT 2003
-gsdl-2_40-distribution	Tue Jul  1 14:47:13 NZST 2003
-gsdl-2_41-distribution	Tue Dec  9 16:45:00 NZDT 2003
-gsdl-2_50-distribution	Wed Apr  7 13:54:07 NZST 2004
-gsdl-2_51-distribution	Thu Jun 17 16:23:09 NZST 2004
Index: tags/gsdl-2_52-distribution/for-distributions/zip-cdrom.sh
===================================================================
--- trunk/for-distributions/zip-cdrom.sh	(revision 8383)
+++ 	(revision )
@@ -1,87 +1,0 @@
-#!/bin/sh
-
-if [ "$1" == "" ]; then
-    echo "Error: Missing distribution name."
-    exit 1
-fi
-
-distribution=$1-cdrom
-distribution_path=../$1/dist/$distribution
-documented_collection_dir=/research/mdewsnip/greenstone/gsdl/collect.documented
-
-echo "Copying collect/demo.cfg over $distribution_path/gsdl/collect/demo/etc/collect.cfg..."
-cp collect/demo.cfg $distribution_path/gsdl/collect/demo/etc/collect.cfg
-
-echo "Copying etc/main.cfg over $distribution_path/gsdl/etc/main.cfg..."
-cp etc/main.cfg $distribution_path/gsdl/etc/main.cfg
-
-echo "Copying etc/demouser.txt into $distribution_path/gsdl/etc..."
-cp etc/demouser.txt $distribution_path/gsdl/etc
-
-echo "Copying macros/home.dm over $distribution_path/gsdl/macros/home.dm..."
-cp macros/home.dm $distribution_path/gsdl/macros/home.dm
-
-echo "Copying gli/languages.xml over $distribution_path/gsdl/gli/classes/xml/languages.xml..."
-cp gli/languages.xml $distribution_path/gsdl/gli/classes/xml/languages.xml
-
-echo "Copying documented example collection images into $distribution_path/gsdl/images..."
-cp $documented_collection_dir/MARC-e/images/en/MARC-e.gif $distribution_path/gsdl/images
-cp $documented_collection_dir/MARC-e/images/fr/MARC-e.gif $distribution_path/gsdl/images/fr
-cp $documented_collection_dir/MARC-e/images/es/MARC-e.gif $distribution_path/gsdl/images/es
-cp $documented_collection_dir/MARC-e/images/ru/MARC-e.gif $distribution_path/gsdl/images/ru
-
-cp $documented_collection_dir/authen-e/images/en/authen-e.gif $distribution_path/gsdl/images
-cp $documented_collection_dir/authen-e/images/fr/authen-e.gif $distribution_path/gsdl/images/fr
-cp $documented_collection_dir/authen-e/images/es/authen-e.gif $distribution_path/gsdl/images/es
-cp $documented_collection_dir/authen-e/images/ru/authen-e.gif $distribution_path/gsdl/images/ru
-
-cp $documented_collection_dir/cltbib-e/images/en/cltbib-e.gif $distribution_path/gsdl/images
-cp $documented_collection_dir/cltbib-e/images/fr/cltbib-e.gif $distribution_path/gsdl/images/fr
-cp $documented_collection_dir/cltbib-e/images/es/cltbib-e.gif $distribution_path/gsdl/images/es
-cp $documented_collection_dir/cltbib-e/images/ru/cltbib-e.gif $distribution_path/gsdl/images/ru
-
-cp $documented_collection_dir/cltext-e/images/en/cltext-e.gif $distribution_path/gsdl/images
-cp $documented_collection_dir/cltext-e/images/fr/cltext-e.gif $distribution_path/gsdl/images/fr
-cp $documented_collection_dir/cltext-e/images/es/cltext-e.gif $distribution_path/gsdl/images/es
-cp $documented_collection_dir/cltext-e/images/ru/cltext-e.gif $distribution_path/gsdl/images/ru
-
-cp $documented_collection_dir/dls-e/images/en/dls-e.gif $distribution_path/gsdl/images
-cp $documented_collection_dir/dls-e/images/fr/dls-e.gif $distribution_path/gsdl/images/fr
-cp $documented_collection_dir/dls-e/images/es/dls-e.gif $distribution_path/gsdl/images/es
-cp $documented_collection_dir/dls-e/images/ru/dls-e.gif $distribution_path/gsdl/images/ru
-
-cp $documented_collection_dir/garish/images/en/garish.gif $distribution_path/gsdl/images
-cp $documented_collection_dir/garish/images/fr/garish.gif $distribution_path/gsdl/images/fr
-cp $documented_collection_dir/garish/images/es/garish.gif $distribution_path/gsdl/images/es
-cp $documented_collection_dir/garish/images/ru/garish.gif $distribution_path/gsdl/images/ru
-
-cp $documented_collection_dir/gsarch-e/images/en/gsarch-e.gif $distribution_path/gsdl/images
-cp $documented_collection_dir/gsarch-e/images/fr/gsarch-e.gif $distribution_path/gsdl/images/fr
-cp $documented_collection_dir/gsarch-e/images/es/gsarch-e.gif $distribution_path/gsdl/images/es
-cp $documented_collection_dir/gsarch-e/images/ru/gsarch-e.gif $distribution_path/gsdl/images/ru
-
-cp $documented_collection_dir/image-e/images/en/image-e.gif $distribution_path/gsdl/images
-cp $documented_collection_dir/image-e/images/fr/image-e.gif $distribution_path/gsdl/images/fr
-cp $documented_collection_dir/image-e/images/es/image-e.gif $distribution_path/gsdl/images/es
-cp $documented_collection_dir/image-e/images/ru/image-e.gif $distribution_path/gsdl/images/ru
-
-cp $documented_collection_dir/isis-e/images/en/isis-e.gif $distribution_path/gsdl/images
-cp $documented_collection_dir/isis-e/images/fr/isis-e.gif $distribution_path/gsdl/images/fr
-cp $documented_collection_dir/isis-e/images/es/isis-e.gif $distribution_path/gsdl/images/es
-cp $documented_collection_dir/isis-e/images/ru/isis-e.gif $distribution_path/gsdl/images/ru
-
-cp $documented_collection_dir/oai-e/images/en/oai-e.gif $distribution_path/gsdl/images
-cp $documented_collection_dir/oai-e/images/fr/oai-e.gif $distribution_path/gsdl/images/fr
-cp $documented_collection_dir/oai-e/images/es/oai-e.gif $distribution_path/gsdl/images/es
-cp $documented_collection_dir/oai-e/images/ru/oai-e.gif $distribution_path/gsdl/images/ru
-
-cp $documented_collection_dir/wrdpdf-e/images/en/wrdpdf-e.gif $distribution_path/gsdl/images
-cp $documented_collection_dir/wrdpdf-e/images/fr/wrdpdf-e.gif $distribution_path/gsdl/images/fr
-cp $documented_collection_dir/wrdpdf-e/images/es/wrdpdf-e.gif $distribution_path/gsdl/images/es
-cp $documented_collection_dir/wrdpdf-e/images/ru/wrdpdf-e.gif $distribution_path/gsdl/images/ru
-
-echo "Zipping up $distribution..."
-pushd $distribution_path/..
-zip -r $distribution.zip $distribution
-popd
-mv $distribution_path/../$distribution.zip .
Index: tags/gsdl-2_52-distribution/for-distributions/zip-web.sh
===================================================================
--- trunk/for-distributions/zip-web.sh	(revision 8383)
+++ 	(revision )
@@ -1,63 +1,0 @@
-#!/bin/sh
-
-if [ "$1" == "" ]; then
-    echo "Error: Missing distribution name."
-    exit 1
-fi
-
-# -------- Windows distribution --------
-distribution=$1-win32
-distribution_path=../$1/dist/$distribution
-
-echo
-echo "Copying collect/demo.cfg over $distribution_path/gsdl/collect/demo/etc/collect.cfg..."
-cp collect/demo.cfg $distribution_path/gsdl/collect/demo/etc/collect.cfg
-
-echo "Copying etc/main.cfg over $distribution_path/gsdl/etc/main.cfg..."
-cp etc/main.cfg $distribution_path/gsdl/etc/main.cfg
-
-echo "Zipping up $distribution..."
-pushd $distribution_path/..
-zip -rq $distribution.zip $distribution
-popd
-mv $distribution_path/../$distribution.zip .
-
-
-# -------- Unix distribution --------
-distribution=$1-unix
-distribution_path=../$1/dist/$distribution
-
-echo
-echo "Setting iscdrom to no in $distribution_path/Unix/Install.sh..."
-sed "s|iscdrom=.*|iscdrom=\"no\"|" $distribution_path/Unix/Install.sh > tmp123.txt && mv tmp123.txt $distribution_path/Unix/Install.sh
-chmod a+x $distribution_path/Unix/Install.sh
-
-echo "Copying collect/demo.cfg over $distribution_path/gsdl/collect/demo/etc/collect.cfg..."
-cp collect/demo.cfg $distribution_path/gsdl/collect/demo/etc/collect.cfg
-
-echo "Copying etc/main.cfg over $distribution_path/gsdl/etc/main.cfg..."
-cp etc/main.cfg $distribution_path/gsdl/etc/main.cfg
-
-echo "Tarring up $distribution..."
-pushd $distribution_path/..
-tar czf $distribution.tar.gz $distribution
-popd
-mv $distribution_path/../$distribution.tar.gz .
-
-
-# -------- Source distribution --------
-distribution=$1-src
-distribution_path=../$1/dist/$distribution
-
-echo
-echo "Copying collect/demo.cfg over $distribution_path/gsdl/collect/demo/etc/collect.cfg..."
-cp collect/demo.cfg $distribution_path/gsdl/collect/demo/etc/collect.cfg
-
-echo "Copying etc/main.cfg over $distribution_path/gsdl/etc/main.cfg..."
-cp etc/main.cfg $distribution_path/gsdl/etc/main.cfg
-
-echo "Tarring up $distribution..."
-pushd $distribution_path/..
-tar czf $distribution.tar.gz $distribution
-popd
-mv $distribution_path/../$distribution.tar.gz .
Index: tags/gsdl-2_52-distribution/gsdl/collect/demo/etc/dls.AZList.txt
===================================================================
--- trunk/gsdl/collect/demo/etc/dls.AZList.txt	(revision 8383)
+++ tags/gsdl-2_52-distribution/gsdl/collect/demo/etc/dls.AZList.txt	(revision 8390)
Index: tags/gsdl-2_52-distribution/gsdl/collect/demo/etc/dls.Keyword.txt
===================================================================
--- trunk/gsdl/collect/demo/etc/dls.Keyword.txt	(revision 8383)
+++ tags/gsdl-2_52-distribution/gsdl/collect/demo/etc/dls.Keyword.txt	(revision 8390)
Index: tags/gsdl-2_52-distribution/gsdl/collect/demo/etc/dls.Organization.txt
===================================================================
--- trunk/gsdl/collect/demo/etc/dls.Organization.txt	(revision 8383)
+++ tags/gsdl-2_52-distribution/gsdl/collect/demo/etc/dls.Organization.txt	(revision 8390)
@@ -1,16 +1,4 @@
-"ACCU"	1	"ACCU"
-"Agenda 21"	2	"Agenda 21"
-"Alkire"	3	"Alkire"
-"BOSTID"	4	"BOSTID"
-"CPS"	5	"CPS"
-"Chandra"	6	"Chandra"
-"EC Courier"	7	"EC Courier"
-"FAO"	8	"FAO"
-"FAO Better Farming series"	9	"FAO Better Farming series"
-"Habitat"	10	"Habitat"
-"Inforse"	11	"Inforse"
-"International Institute for Rural Reconstruction"	12	"International Institute for Rural Reconstruction"
-"NGLS"	13	"NGLS"
-"Peace Corps"	14	"Peace Corps"
-"UNESCO"	15	"UNESCO"
-"World Bank"	16	"World Bank"
+"BOSTID"	1	"BOSTID"
+"EC Courier"	2	"EC Courier"
+"FAO Better Farming series"	3	"FAO Better Farming series"
+"World Bank"	4	"World Bank"
Index: tags/gsdl-2_52-distribution/gsdl/collect/demo/etc/dls.Subject.txt
===================================================================
--- trunk/gsdl/collect/demo/etc/dls.Subject.txt	(revision 8383)
+++ tags/gsdl-2_52-distribution/gsdl/collect/demo/etc/dls.Subject.txt	(revision 8390)
@@ -1,103 +1,14 @@
 "Agriculture and Food Processing"	1	"Agriculture and Food Processing"
-"Agriculture and Food Processing|Agricultural production systems (shifting cultivation, wet- land farming, dry- land farming, agroforestry)"	1.1	"Agricultural production systems (shifting cultivation, wet- land farming, dry- land farming, agroforestry)"
-"Agriculture and Food Processing|Agriculture (general works), Economics, Policies, Development, Research, Management"	1.2	"Agriculture (general works), Economics, Policies, Development, Research, Management"
-"Agriculture and Food Processing|Better Farming series of FAO and INADES - 46 booklets"	1.3	"Better Farming series of FAO and INADES - 46 booklets"
-"Agriculture and Food Processing|Fertilization and composting"	1.4	"Fertilization and composting"
-"Agriculture and Food Processing|Food processing and preservation"	1.5	"Food processing and preservation"
-"Agriculture and Food Processing|Food processing and preservation|Food drying (all kinds)"	1.5.1	"Food drying (all kinds)"
-"Agriculture and Food Processing|Irrigation and drainage"	1.6	"Irrigation and drainage"
-"Agriculture and Food Processing|Land reform, Settlements, Rural Development and related topics"	1.7	"Land reform, Settlements, Rural Development and related topics"
-"Agriculture and Food Processing|Organic farming, Eco-farming"	1.8	"Organic farming, Eco-farming"
-"Agriculture and Food Processing|Soil and land management, improvement and treatment"	1.9	"Soil and land management, improvement and treatment"
-"Agriculture and Food Processing|Storage and packaging of agricultural products, Post-Harvest management"	1.10	"Storage and packaging of agricultural products, Post-Harvest management"
+"Agriculture and Food Processing|Better Farming series of FAO and INADES - 46 booklets"	1.1	"Better Farming series of FAO and INADES - 46 booklets"
 "Animal Husbandry and Animal Product Processing"	2	"Animal Husbandry and Animal Product Processing"
-"Animal Husbandry and Animal Product Processing|Animal husbandry (general,works) incl. animal feed, works covering several aspects and animals, zoology"	2.1	"Animal husbandry (general,works) incl. animal feed, works covering several aspects and animals, zoology"
-"Animal Husbandry and Animal Product Processing|Animal traction (excl. implements), animal training"	2.2	"Animal traction (excl. implements), animal training"
-"Animal Husbandry and Animal Product Processing|Beekeeping and honey extraction"	2.3	"Beekeeping and honey extraction"
-"Animal Husbandry and Animal Product Processing|Cattle"	2.4	"Cattle"
-"Animal Husbandry and Animal Product Processing|Other animals (micro-livestock, little known animals, silkworms, reptiles, frogs, snails, game, etc.)"	2.5	"Other animals (micro-livestock, little known animals, silkworms, reptiles, frogs, snails, game, etc.)"
-"Animal Husbandry and Animal Product Processing|Poultry, ducks and other birds"	2.6	"Poultry, ducks and other birds"
-"Animal Husbandry and Animal Product Processing|Rabbits and guinea pigs"	2.7	"Rabbits and guinea pigs"
-"Animal Husbandry and Animal Product Processing|Veterinary medicine, animal diseases"	2.8	"Veterinary medicine, animal diseases"
-"Business, Micro-entreprises, Management, Marketing, Finance, Microfinance, Cooperatives"	3	"Business, Micro-entreprises, Management, Marketing, Finance, Microfinance, Cooperatives"
-"Business, Micro-entreprises, Management, Marketing, Finance, Microfinance, Cooperatives|Accounting"	3.1	"Accounting"
-"Business, Micro-entreprises, Management, Marketing, Finance, Microfinance, Cooperatives|Cooperatives, cooperative movement"	3.2	"Cooperatives, cooperative movement"
-"Business, Micro-entreprises, Management, Marketing, Finance, Microfinance, Cooperatives|Cooperatives, cooperative movement|Housing cooperatives"	3.2.1	"Housing cooperatives"
-"Business, Micro-entreprises, Management, Marketing, Finance, Microfinance, Cooperatives|Finance and microfinance / microcredit"	3.3	"Finance and microfinance / microcredit"
-"Business, Micro-entreprises, Management, Marketing, Finance, Microfinance, Cooperatives|Microeconomic planning techniques, Micro-enterprises"	3.4	"Microeconomic planning techniques, Micro-enterprises"
-"Communication, Information and Documentation"	4	"Communication, Information and Documentation"
-"Communication, Information and Documentation|Communication, telecommunication, mass communication, mass media, film-making"	4.1	"Communication, telecommunication, mass communication, mass media, film-making"
-"Communication, Information and Documentation|Documentation, Library science and management"	4.2	"Documentation, Library science and management"
-"Communication, Information and Documentation|Information for development, Information transfer, Information policy"	4.3	"Information for development, Information transfer, Information policy"
-"Communication, Information and Documentation|Records and Archives Management Programme (RAMP) of UNESCO, Archive Management"	4.4	"Records and Archives Management Programme (RAMP) of UNESCO, Archive Management"
-"Development Periodicals and Magazines"	5	"Development Periodicals and Magazines"
-"Development Periodicals and Magazines|Sustainable Energy Newsletters of the INFORSE network"	5.1	"Sustainable Energy Newsletters of the INFORSE network"
-"Development Periodicals and Magazines|The Courier ACP 1990 - 1996 Africa-Caribbean-Pacific - European Union"	5.2	"The Courier ACP 1990 - 1996 Africa-Caribbean-Pacific - European Union"
-"Development Periodicals and Magazines|The NGLS Magazine Go Between"	5.3	"The NGLS Magazine Go Between"
-"Ecology, Biodiversity, Natural resources, Environment, Waste Disposal"	6	"Ecology, Biodiversity, Natural resources, Environment, Waste Disposal"
-"Ecology, Biodiversity, Natural resources, Environment, Waste Disposal|Biodiversity conservation"	6.1	"Biodiversity conservation"
-"Ecology, Biodiversity, Natural resources, Environment, Waste Disposal|Resources conservation, environmental protection, biodiversity"	6.2	"Resources conservation, environmental protection, biodiversity"
-"Ecology, Biodiversity, Natural resources, Environment, Waste Disposal|Resources conservation, environmental protection, biodiversity|Nature reserve, game reserve"	6.2.1	"Nature reserve, game reserve"
-"Education and Training"	7	"Education and Training"
-"Education and Training|Adult education, Literacy training"	7.1	"Adult education, Literacy training"
-"Education and Training|Early education, Primary education, Secondary education"	7.2	"Early education, Primary education, Secondary education"
-"Education and Training|Environmental education, Global education, Psychological and assertiveness education, Non-formal education etc"	7.3	"Environmental education, Global education, Psychological and assertiveness education, Non-formal education etc"
-"Education and Training|Health Education and Training (see under health and Nutrition)"	7.4	"Health Education and Training (see under health and Nutrition)"
-"Education and Training|Teaching methods and aids"	7.5	"Teaching methods and aids"
-"Education and Training|Vocational, professional and practical training - for specific training- curricula, textbooks- see specific subject."	7.6	"Vocational, professional and practical training - for specific training- curricula, textbooks- see specific subject."
-"Energy , Renewable energies, Household energy"	8	"Energy , Renewable energies, Household energy"
-"Energy , Renewable energies, Household energy|Bio-mass (general works)"	8.1	"Bio-mass (general works)"
-"Energy , Renewable energies, Household energy|Biogas (incl. biogas equipment)"	8.2	"Biogas (incl. biogas equipment)"
-"Energy , Renewable energies, Household energy|Cookstoves, Fuel-saving cookstoves, Household Energy"	8.3	"Cookstoves, Fuel-saving cookstoves, Household Energy"
-"Energy , Renewable energies, Household energy|Energy and power (general works) incl. energy per country, energy savings, etc."	8.4	"Energy and power (general works) incl. energy per country, energy savings, etc."
-"Energy , Renewable energies, Household energy|Wood and charcoal (incl. kilns and activated charcoal)"	8.5	"Wood and charcoal (incl. kilns and activated charcoal)"
-"Fishery and Aquaculture"	9	"Fishery and Aquaculture"
-"Fishery and Aquaculture|Aquaculture, fish farming, fish production (fish ponds, feeding, etc.)"	9.1	"Aquaculture, fish farming, fish production (fish ponds, feeding, etc.)"
-"Fishery and Aquaculture|Fishery and aquaculture (general works), fishery resources"	9.2	"Fishery and aquaculture (general works), fishery resources"
-"Fishery and Aquaculture|Fishing techniques and equipment"	9.3	"Fishing techniques and equipment"
-"Forestry and Agroforestry"	10	"Forestry and Agroforestry"
-"Forestry and Agroforestry|Agroforestry"	10.1	"Agroforestry"
-"Forestry and Agroforestry|Cultivation and conservation (nurseries), protection and pest resistance"	10.2	"Cultivation and conservation (nurseries), protection and pest resistance"
-"Forestry and Agroforestry|Reforestation - for erosion control see 11.04 and 14.05"	10.3	"Reforestation - for erosion control see 11.04 and 14.05"
-"Forestry and Agroforestry|Specific trees and other forestry plants (incl. bamboo)"	10.4	"Specific trees and other forestry plants (incl. bamboo)"
-"Health, Nutrition, Medicine"	11	"Health, Nutrition, Medicine"
-"Health, Nutrition, Medicine|Community Health, Health Care Delivery, Extension workers and training"	11.1	"Community Health, Health Care Delivery, Extension workers and training"
-"Health, Nutrition, Medicine|Family health, Mother and Child care, Family planning, Pregnancy and Childbirth"	11.2	"Family health, Mother and Child care, Family planning, Pregnancy and Childbirth"
-"Health, Nutrition, Medicine|Food, Nutrition and Malnutrition"	11.3	"Food, Nutrition and Malnutrition"
-"Health, Nutrition, Medicine|Food, Nutrition and Malnutrition|Community Health, Health Care Delivery, Extension workers and training"	11.3.1	"Community Health, Health Care Delivery, Extension workers and training"
-"Health, Nutrition, Medicine|Health (general works, incl. health economics and sociology, health statistics, health and community development)"	11.4	"Health (general works, incl. health economics and sociology, health statistics, health and community development)"
-"Health, Nutrition, Medicine|Health Education, Promotion, Prevention, AIDS Prevention, Safety, Books covering multiple health dimensions"	11.5	"Health Education, Promotion, Prevention, AIDS Prevention, Safety, Books covering multiple health dimensions"
-"Health, Nutrition, Medicine|Medicine, Clinical Care, Diseases, Hygiene, Emergencies (treatment of specific diseases, injuries, accidents)"	11.6	"Medicine, Clinical Care, Diseases, Hygiene, Emergencies (treatment of specific diseases, injuries, accidents)"
-"Industry, Manufacture and Services"	12	"Industry, Manufacture and Services"
-"Industry, Manufacture and Services|Metal industry"	12.1	"Metal industry"
-"Industry, Manufacture and Services|Metal industry|Forging and blacksmithing"	12.1.1	"Forging and blacksmithing"
-"Industry, Manufacture and Services|Small- scale industry, handicraft, home industry"	12.2	"Small- scale industry, handicraft, home industry"
-"Plant and Crop Production, Protection, and Processing"	13	"Plant and Crop Production, Protection, and Processing"
-"Plant and Crop Production, Protection, and Processing|Cereals (rice, corn/maize, millet, sorghum, wheat, etc.)"	13.1	"Cereals (rice, corn/maize, millet, sorghum, wheat, etc.)"
-"Plant and Crop Production, Protection, and Processing|Other plants/crops, intercropping"	13.2	"Other plants/crops, intercropping"
-"Plant and Crop Production, Protection, and Processing|Plant/crop production and processing, vegetable gardening, botany"	13.3	"Plant/crop production and processing, vegetable gardening, botany"
-"Politics, Public administration, Law and Legislation, Peace, Human Rights"	14	"Politics, Public administration, Law and Legislation, Peace, Human Rights"
-"Politics, Public administration, Law and Legislation, Peace, Human Rights|Public administration, Tasks of councillors"	14.1	"Public administration, Tasks of councillors"
-"Settlements, Housing, Building - Infrastructure Construction (Roads etc)"	15	"Settlements, Housing, Building - Infrastructure Construction (Roads etc)"
-"Settlements, Housing, Building - Infrastructure Construction (Roads etc)|Architecture and Building design"	15.1	"Architecture and Building design"
-"Settlements, Housing, Building - Infrastructure Construction (Roads etc)|Building and construction (building components, construction techniques)"	15.2	"Building and construction (building components, construction techniques)"
-"Settlements, Housing, Building - Infrastructure Construction (Roads etc)|Settlements and housing: general works incl. low- cost housing, planning techniques, surveying, etc."	15.3	"Settlements and housing: general works incl. low- cost housing, planning techniques, surveying, etc."
-"Settlements, Housing, Building - Infrastructure Construction (Roads etc)|Urban settlements (urban housing programmes, urbanization, squatters, slums, slum improvement)"	15.4	"Urban settlements (urban housing programmes, urbanization, squatters, slums, slum improvement)"
-"Society, Culture, Community, Woman, Youth, Population"	16	"Society, Culture, Community, Woman, Youth, Population"
-"Society, Culture, Community, Woman, Youth, Population|Children and youth (youth centres)"	16.1	"Children and youth (youth centres)"
-"Society, Culture, Community, Woman, Youth, Population|Community development, community organizing"	16.2	"Community development, community organizing"
-"Society, Culture, Community, Woman, Youth, Population|Demography and population"	16.3	"Demography and population"
-"Society, Culture, Community, Woman, Youth, Population|Social sciences, sociology (works comprising several subgroups) incl. participatory research and training"	16.4	"Social sciences, sociology (works comprising several subgroups) incl. participatory research and training"
-"Society, Culture, Community, Woman, Youth, Population|Society, social structure, social change, social services, social movements, social groups, Minorities"	16.5	"Society, social structure, social change, social services, social movements, social groups, Minorities"
-"Society, Culture, Community, Woman, Youth, Population|Women, gender and development, women's organizations"	16.6	"Women, gender and development, women's organizations"
-"Sustainable Development, International cooperation, Projects; NGO, Organizations, Poverty and Hunger Alleviation, Basic Human Needs"	17	"Sustainable Development, International cooperation, Projects; NGO, Organizations, Poverty and Hunger Alleviation, Basic Human Needs"
-"Sustainable Development, International cooperation, Projects; NGO, Organizations, Poverty and Hunger Alleviation, Basic Human Needs|Basic Human Needs"	17.1	"Basic Human Needs"
-"Sustainable Development, International cooperation, Projects; NGO, Organizations, Poverty and Hunger Alleviation, Basic Human Needs|Nongovernmental organizations (NGOs) in general, self- help organizations (their role in development). "	17.2	"Nongovernmental organizations (NGOs) in general, self- help organizations (their role in development). "
-"Sustainable Development, International cooperation, Projects; NGO, Organizations, Poverty and Hunger Alleviation, Basic Human Needs|Project planning and evaluation (incl. project management and dissemination strategies)"	17.3	"Project planning and evaluation (incl. project management and dissemination strategies)"
-"Sustainable Development, International cooperation, Projects; NGO, Organizations, Poverty and Hunger Alleviation, Basic Human Needs|Sustainable Development, Development models and examples; Best practices (general)"	17.4	"Sustainable Development, Development models and examples; Best practices (general)"
-"Sustainable Development, International cooperation, Projects; NGO, Organizations, Poverty and Hunger Alleviation, Basic Human Needs|United Nations"	17.5	"United Nations"
-"Water, Sanitation and Sewage Disposal"	18	"Water, Sanitation and Sewage Disposal"
-"Water, Sanitation and Sewage Disposal|Hydraulic structures (dams, intakes, wells, ponds, cisterns)"	18.1	"Hydraulic structures (dams, intakes, wells, ponds, cisterns)"
-"Water, Sanitation and Sewage Disposal|Pumps and other water- lifting devices"	18.2	"Pumps and other water- lifting devices"
-"Water, Sanitation and Sewage Disposal|Water treatment and purification (biological, chemical, physical)"	18.3	"Water treatment and purification (biological, chemical, physical)"
-"Women, gender and development, women's organizations"	19	"Women, gender and development, women's organizations"
+"Animal Husbandry and Animal Product Processing|Cattle"	2.1	"Cattle"
+"Animal Husbandry and Animal Product Processing|Other animals (micro-livestock, little known animals, silkworms, reptiles, frogs, snails, game, etc.)"	2.2	"Other animals (micro-livestock, little known animals, silkworms, reptiles, frogs, snails, game, etc.)"
+"Communication, Information and Documentation"	3	"Communication, Information and Documentation"
+"Communication, Information and Documentation|Communication, telecommunication, mass communication, mass media, film-making"	3.1	"Communication, telecommunication, mass communication, mass media, film-making"
+"Development Periodicals and Magazines"	4	"Development Periodicals and Magazines"
+"Development Periodicals and Magazines|The Courier ACP 1990 - 1996 Africa-Caribbean-Pacific - European Union"	4.1	"The Courier ACP 1990 - 1996 Africa-Caribbean-Pacific - European Union"
+"Settlements, Housing, Building - Infrastructure Construction (Roads etc)"	5	"Settlements, Housing, Building - Infrastructure Construction (Roads etc)"
+"Settlements, Housing, Building - Infrastructure Construction (Roads etc)|Settlements and housing: general works incl. low- cost housing, planning techniques, surveying, etc."	5.1	"Settlements and housing: general works incl. low- cost housing, planning techniques, surveying, etc."
+"Society, Culture, Community, Woman, Youth, Population"	6	"Society, Culture, Community, Woman, Youth, Population"
+"Society, Culture, Community, Woman, Youth, Population|Social sciences, sociology (works comprising several subgroups) incl. participatory research and training"	6.1	"Social sciences, sociology (works comprising several subgroups) incl. participatory research and training"
+"Women, gender and development, women's organizations"	7	"Women, gender and development, women's organizations"
Index: tags/gsdl-2_52-distribution/gsdl/packages/yaz/config.status
===================================================================
--- trunk/gsdl/packages/yaz/config.status	(revision 8383)
+++ 	(revision )
@@ -1,159 +1,0 @@
-#! /bin/sh
-# Generated automatically by configure.
-# Run this file to recreate the current configuration.
-# This directory was configured as follows,
-# on host ickenham.mdx.ac.uk:
-#
-# ./configure  --cache-file=/home/George/corbanormal/gsdl/config.cache
-#
-# Compiler output produced by configure, useful for debugging
-# configure, is in ./config.log if it exists.
-
-ac_cs_usage="Usage: ./config.status [--recheck] [--version] [--help]"
-for ac_option
-do
-  case "$ac_option" in
-  -recheck | --recheck | --rechec | --reche | --rech | --rec | --re | --r)
-    echo "running ${CONFIG_SHELL-/bin/sh} ./configure  --cache-file=/home/George/corbanormal/gsdl/config.cache --no-create --no-recursion"
-    exec ${CONFIG_SHELL-/bin/sh} ./configure  --cache-file=/home/George/corbanormal/gsdl/config.cache --no-create --no-recursion ;;
-  -version | --version | --versio | --versi | --vers | --ver | --ve | --v)
-    echo "./config.status generated by autoconf version 2.13"
-    exit 0 ;;
-  -help | --help | --hel | --he | --h)
-    echo "$ac_cs_usage"; exit 0 ;;
-  *) echo "$ac_cs_usage"; exit 1 ;;
-  esac
-done
-
-ac_given_srcdir=.
-
-trap 'rm -fr Makefile util/Makefile odr/Makefile z39.50/Makefile asn/Makefile zutil/Makefile comstack/Makefile ccl/Makefile tab/Makefile include/Makefile include/yaz/Makefile lib/Makefile client/Makefile doc/Makefile conftest*; exit 1' 1 2 15
-
-# Protect against being on the right side of a sed subst in config.status.
-sed 's/%@/@@/; s/@%/@@/; s/%g$/@g/; /@g$/s/[\\&%]/\\&/g;
- s/@@/%@/; s/@@/@%/; s/@g$/%g/' > conftest.subs <<\CEOF
-/^[ 	]*VPATH[ 	]*=[^:]*$/d
-
-s%@SHELL@%/bin/sh%g
-s%@CFLAGS@%-g -O2%g
-s%@CPPFLAGS@%%g
-s%@CXXFLAGS@%%g
-s%@FFLAGS@%%g
-s%@DEFS@% -DHAVE_READLINE_READLINE_H=1 -DHAVE_READLINE_HISTORY_H=1 -DSTDC_HEADERS=1 %g
-s%@LDFLAGS@%%g
-s%@LIBS@% -lreadline -lhistory%g
-s%@exec_prefix@%${prefix}%g
-s%@prefix@%/usr/local%g
-s%@program_transform_name@%s,x,x,%g
-s%@bindir@%${exec_prefix}/bin%g
-s%@sbindir@%${exec_prefix}/sbin%g
-s%@libexecdir@%${exec_prefix}/libexec%g
-s%@datadir@%${prefix}/share%g
-s%@sysconfdir@%${prefix}/etc%g
-s%@sharedstatedir@%${prefix}/com%g
-s%@localstatedir@%${prefix}/var%g
-s%@libdir@%${exec_prefix}/lib%g
-s%@includedir@%${prefix}/include%g
-s%@oldincludedir@%/usr/include%g
-s%@infodir@%${prefix}/info%g
-s%@mandir@%${prefix}/man%g
-s%@CC@%gcc%g
-s%@CPP@%gcc -E%g
-s%@RANLIB@%ranlib%g
-s%@have_sgml2txt@%no%g
-s%@have_sgml2latex@%no%g
-s%@have_sgml2html@%no%g
-s%@ASNMODULE@%z39.50%g
-s%@ILLMODULE@%ill%g
-s%@ILLLIB@%../ill/libill.a%g
-s%@SUBDIRS_VAR@%util odr z39.50 zutil comstack ccl tab include lib client %g
-
-CEOF
-
-# Split the substitutions into bite-sized pieces for seds with
-# small command number limits, like on Digital OSF/1 and HP-UX.
-ac_max_sed_cmds=90 # Maximum number of lines to put in a sed script.
-ac_file=1 # Number of current file.
-ac_beg=1 # First line for current file.
-ac_end=$ac_max_sed_cmds # Line after last line for current file.
-ac_more_lines=:
-ac_sed_cmds=""
-while $ac_more_lines; do
-  if test $ac_beg -gt 1; then
-    sed "1,${ac_beg}d; ${ac_end}q" conftest.subs > conftest.s$ac_file
-  else
-    sed "${ac_end}q" conftest.subs > conftest.s$ac_file
-  fi
-  if test ! -s conftest.s$ac_file; then
-    ac_more_lines=false
-    rm -f conftest.s$ac_file
-  else
-    if test -z "$ac_sed_cmds"; then
-      ac_sed_cmds="sed -f conftest.s$ac_file"
-    else
-      ac_sed_cmds="$ac_sed_cmds | sed -f conftest.s$ac_file"
-    fi
-    ac_file=`expr $ac_file + 1`
-    ac_beg=$ac_end
-    ac_end=`expr $ac_end + $ac_max_sed_cmds`
-  fi
-done
-if test -z "$ac_sed_cmds"; then
-  ac_sed_cmds=cat
-fi
-
-CONFIG_FILES=${CONFIG_FILES-"Makefile util/Makefile odr/Makefile z39.50/Makefile asn/Makefile zutil/Makefile comstack/Makefile ccl/Makefile tab/Makefile include/Makefile include/yaz/Makefile lib/Makefile client/Makefile doc/Makefile"}
-for ac_file in .. $CONFIG_FILES; do if test "x$ac_file" != x..; then
-  # Support "outfile[:infile[:infile...]]", defaulting infile="outfile.in".
-  case "$ac_file" in
-  *:*) ac_file_in=`echo "$ac_file"|sed 's%[^:]*:%%'`
-       ac_file=`echo "$ac_file"|sed 's%:.*%%'` ;;
-  *) ac_file_in="${ac_file}.in" ;;
-  esac
-
-  # Adjust a relative srcdir, top_srcdir, and INSTALL for subdirectories.
-
-  # Remove last slash and all that follows it.  Not all systems have dirname.
-  ac_dir=`echo $ac_file|sed 's%/[^/][^/]*$%%'`
-  if test "$ac_dir" != "$ac_file" && test "$ac_dir" != .; then
-    # The file is in a subdirectory.
-    test ! -d "$ac_dir" && mkdir "$ac_dir"
-    ac_dir_suffix="/`echo $ac_dir|sed 's%^\./%%'`"
-    # A "../" for each directory in $ac_dir_suffix.
-    ac_dots=`echo $ac_dir_suffix|sed 's%/[^/]*%../%g'`
-  else
-    ac_dir_suffix= ac_dots=
-  fi
-
-  case "$ac_given_srcdir" in
-  .)  srcdir=.
-      if test -z "$ac_dots"; then top_srcdir=.
-      else top_srcdir=`echo $ac_dots|sed 's%/$%%'`; fi ;;
-  /*) srcdir="$ac_given_srcdir$ac_dir_suffix"; top_srcdir="$ac_given_srcdir" ;;
-  *) # Relative path.
-    srcdir="$ac_dots$ac_given_srcdir$ac_dir_suffix"
-    top_srcdir="$ac_dots$ac_given_srcdir" ;;
-  esac
-
-
-  echo creating "$ac_file"
-  rm -f "$ac_file"
-  configure_input="Generated automatically from `echo $ac_file_in|sed 's%.*/%%'` by configure."
-  case "$ac_file" in
-  *Makefile*) ac_comsub="1i\\
-# $configure_input" ;;
-  *) ac_comsub= ;;
-  esac
-
-  ac_file_inputs=`echo $ac_file_in|sed -e "s%^%$ac_given_srcdir/%" -e "s%:% $ac_given_srcdir/%g"`
-  sed -e "$ac_comsub
-s%@configure_input@%$configure_input%g
-s%@srcdir@%$srcdir%g
-s%@top_srcdir@%$top_srcdir%g
-" $ac_file_inputs | (eval "$ac_sed_cmds") > $ac_file
-fi; done
-rm -f conftest.s*
-
-
-
-exit 0