Index: /trunk/gsdl3/web/interfaces/classic/transform/pref.xsl
===================================================================
--- /trunk/gsdl3/web/interfaces/classic/transform/pref.xsl	(revision 8583)
+++ /trunk/gsdl3/web/interfaces/classic/transform/pref.xsl	(revision 8584)
@@ -9,5 +9,4 @@
   <xsl:include href="style.xsl"/>
   <!--<xsl:include href="pref-text.xsl"/>-->
-  <!--<xsl:include href="page-common.xsl"/>-->
   
   <xsl:output method="html"/>  
@@ -91,14 +90,17 @@
       </xsl:choose>
       <!-- case folding -->
-      <xsl:variable name="case"><xsl:choose><xsl:when test="/page/pageRequest/paramList/param[@name='{$ns}case']"><xsl:value-of select="/page/pageRequest/paramList/param[@name='{$ns}case']/@value"/></xsl:when><xsl:otherwise>1</xsl:otherwise></xsl:choose></xsl:variable>
+      <xsl:variable name="casevar" select="concat($ns,'case')"/>
+      <xsl:variable name="case"><xsl:choose><xsl:when test="/page/pageRequest/paramList/param[@name=$casevar]"><xsl:value-of select="/page/pageRequest/paramList/param[@name=$casevar]/@value"/></xsl:when><xsl:otherwise>1</xsl:otherwise></xsl:choose></xsl:variable>
       <tr><td rowspan='2' valign='baseline'>Case differences:</td><td><input type='radio' name='{$ns}case' value='1'><xsl:if test="$case=1"><xsl:attribute name="checked"></xsl:attribute></xsl:if></input></td><td> ignore case differences</td></tr>
       <tr><td><input type='radio' name='{$ns}case' value='0'><xsl:if test="$case=0"><xsl:attribute name="checked"></xsl:attribute></xsl:if></input></td><td> upper/lower case must match</td></tr>
       <!-- stemming -->
-      <xsl:variable name="stem"><xsl:choose><xsl:when test="/page/pageRequest/paramList/param[@name='{$ns}stem']"><xsl:value-of select="/page/pageRequest/paramList/param[@name='{$ns}stem']/@value"/></xsl:when><xsl:otherwise>0</xsl:otherwise></xsl:choose></xsl:variable>
+      <xsl:variable name="stemvar" select="concat($ns,'stem')"/>
+      <xsl:variable name="stem"><xsl:choose><xsl:when test="/page/pageRequest/paramList/param[@name=$stemvar]"><xsl:value-of select="/page/pageRequest/paramList/param[@name=$stemvar]/@value"/></xsl:when><xsl:otherwise>0</xsl:otherwise></xsl:choose></xsl:variable>
       <tr><td  rowspan='2' valign='baseline'>Word endings:</td><td><input type='radio' name='{$ns}stem' value='1'><xsl:if test="$stem=1"><xsl:attribute name="checked"></xsl:attribute></xsl:if></input></td><td> ignore word endings</td></tr>
       <tr><td><input type='radio' name='{$ns}stem' value='0'><xsl:if test="$stem=0"><xsl:attribute name="checked"></xsl:attribute></xsl:if></input></td><td> whole word must match</td></tr>
       <!-- hit display -->
-      <xsl:variable name="maxdocs"><xsl:choose><xsl:when test="/page/pageRequest/paramList/param[@name='{$ns}maxDocs']"><xsl:value-of select="/page/pageRequest/paramList/param[@name='{$ns}maxDocs']/@value"/></xsl:when><xsl:otherwise>50</xsl:otherwise></xsl:choose></xsl:variable>
-      <xsl:variable name="hits"><xsl:choose><xsl:when test="/page/pageRequest/paramList/param[@name='hp']"><xsl:value-of select="/page/pageRequest/paramList/param[@name='hp']/@value"/></xsl:when><xsl:otherwise>20</xsl:otherwise></xsl:choose></xsl:variable>
+      <xsl:variable name="maxvar" select="concat($ns,'maxDocs')"/>
+      <xsl:variable name="maxdocs"><xsl:choose><xsl:when test="/page/pageRequest/paramList/param[@name=$maxvar]"><xsl:value-of select="/page/pageRequest/paramList/param[@name=$maxvar]/@value"/></xsl:when><xsl:otherwise>50</xsl:otherwise></xsl:choose></xsl:variable>
+      <xsl:variable name="hits"><xsl:choose><xsl:when test="/page/pageRequest/paramList/param[@name='hitsPerPage']"><xsl:value-of select="/page/pageRequest/paramList/param[@name='hitsPerPage']/@value"/></xsl:when><xsl:otherwise>20</xsl:otherwise></xsl:choose></xsl:variable>
       <tr><td colspan='3'>Return up to 
 	  <select name="{$ns}maxDocs">
@@ -109,5 +111,5 @@
 	  </select>
 	  hits with 
-	  <select name="hp">
+	  <select name="hitsPerPage">
 	    <option value="10"><xsl:if test="$hits=10"><xsl:attribute name="selected"></xsl:attribute></xsl:if>10 </option> 
 	    <option value="20"><xsl:if test="$hits=20"><xsl:attribute name="selected"></xsl:attribute></xsl:if>20</option>